### Virtual Method

# Gegl Metadata register_map

#### Declaration [src]

    void
    register_map (
      GeglMetadata* metadata,
      const gchar* file_module,
      guint flags,
      const GeglMetadataMap* map,
      gsize n_map
    )

#### Description [src]

Set the name of the file module and pass an array of mappings from file-format specific metadata names to those used by Gegl. A GValue transformation function may be supplied, e.g. to parse or format timestamps.

#### Parameters

`file_module`

  Type: `const gchar*`

  String identifying the file module, e.g, `"gegl:png-save"`

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `guint`

  Flags specifying capabilities of underlying file format.

`map`

  Type: An array of `GeglMetadataMap`

  Array of mappings from file module metadata names to Gegl well-known names.

  The length of the array is specified in the `n_map` argument.
  The data is owned by the caller of the function.

`n_map`

  Type: `gsize`

  Number of entries in `map`.